[arch-commits] CVS update of extra/gnome/gedit (PKGBUILD gedit.install)

Jan de Groot jgc at archlinux.org
Sat Sep 22 18:52:54 EDT 2007


    Date: Saturday, September 22, 2007 @ 18:52:54
  Author: jgc
    Path: /home/cvs-extra/extra/gnome/gedit

Modified: PKGBUILD (1.40 -> 1.41) gedit.install (1.12 -> 1.13)

upgpkg: gedit 2.20.0-1
GNOME 2.20


---------------+
 PKGBUILD      |   26 +++++++++-----------------
 gedit.install |    2 --
 2 files changed, 9 insertions(+), 19 deletions(-)


Index: extra/gnome/gedit/PKGBUILD
diff -u extra/gnome/gedit/PKGBUILD:1.40 extra/gnome/gedit/PKGBUILD:1.41
--- extra/gnome/gedit/PKGBUILD:1.40	Sat Jul  7 05:48:58 2007
+++ extra/gnome/gedit/PKGBUILD	Sat Sep 22 18:52:54 2007
@@ -1,35 +1,27 @@
-# $Id: PKGBUILD,v 1.40 2007/07/07 09:48:58 jgc Exp $
-# Maintainer: Arjan Timmerman <arjan at archlinux.org>
+# $Id: PKGBUILD,v 1.41 2007/09/22 22:52:54 jgc Exp $
+# Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=gedit
-pkgver=2.18.2
+pkgver=2.20.0
 pkgrel=1
 pkgdesc="A text editor for GNOME"
 arch=(i686 x86_64)
 license=('GPL')
-depends=('gnome-python-desktop>=2.18.0' 'libgnomeprintui>=2.18.0' 'gtksourceview>=1.8.5-2' 'enchant' 'libgnomeui>=2.18.1-2' 'scrollkeeper' 'desktop-file-utils' 'gconf>=2.18.0.1-4' 'iso-codes')
-makedepends=('perlxml' 'pkgconfig' 'gnome-doc-utils>=0.10.3')
+depends=('pygtk>=2.12.0' 'libgnomeprintui>=2.18.1' 'pygtksourceview2>=2.0.0' 'enchant' 'libgnomeui>=2.20.0' 'desktop-file-utils' 'iso-codes')
+makedepends=('perlxml' 'pkgconfig' 'gnome-doc-utils>=0.12.0')
 groups=('gnome-extra')
-options=('!libtool')
+options=('!libtool' '!emptydirs')
 url="http://www.gnome.org"
 install=gedit.install
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.18/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('7e8bf29bd6bf0d17ceaf42d9bd5d94e6')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.20/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('6c14d4f3583c921bdd551df6cd822289')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
-  find . -name Makefile.in -exec sed -i -e 's/-scrollkeeper-update.*//' {} \;
-  if [ -f omf.make ]; then
-    sed -i -e 's/-scrollkeeper-update.*//' omf.make
-  fi
-  
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --disable-scrollkeeper
   make || return 1
-
-  mkdir -p ${startdir}/pkg/usr/bin
-  touch ${startdir}/pkg/usr/bin/gedit
-  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install || return 1
+  make -j1 GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install || return 1
  
   mkdir -p ${startdir}/pkg/usr/share/gconf/schemas
   gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas
Index: extra/gnome/gedit/gedit.install
diff -u extra/gnome/gedit/gedit.install:1.12 extra/gnome/gedit/gedit.install:1.13
--- extra/gnome/gedit/gedit.install:1.12	Sat Jul  7 05:48:58 2007
+++ extra/gnome/gedit/gedit.install	Sat Sep 22 18:52:54 2007
@@ -2,7 +2,6 @@
 
 post_install() {
   usr/sbin/gconfpkg --install ${pkgname}
-  scrollkeeper-update -q -p var/lib/scrollkeeper
   update-desktop-database -q
 }
 
@@ -20,7 +19,6 @@
 
 post_remove() {
   update-desktop-database -q
-  scrollkeeper-update -q -p var/lib/scrollkeeper
 }
 
 op=$1




More information about the arch-commits mailing list